PNGQUANT(1)

NAME
pngquant - PNG image optimising utility

SYNOPSIS
pngquant [ options ] <ncolors> [pngfile [pngfile ...]]
pngquant [ options ] -map mapfile [pngfile [pngfile ...]]

Note that it's required to specify the number of colors (<ncolors>) or the mapfile. Arguments in square brackets are optional.

DESCRIPTION
This manual page documents briefly the pngquant command.

pngquant quantizes one or more 32-bit RGBA PNGs to 8-bit (or smaller) RGBA-palette PNGs using either ordered dithering or Floyd-Steinberg diffusion dithering (default). The output filename is the same as the input name except that it ends in -fs8.png or -or8.png (unless the input is stdin, in which case the quantized image will go to stdout). The default behavior if the output file exists is to skip the conversion; use -force to overwrite.

OPTIONS

-force
    Overwrite existing output files.

-ordened, -nofloyd, -nofs
    Use ordered dithering.

-verbose, -noquiet
    Print status messages.

NOTE:
    the -map option is NOT YET SUPPORTED.

EXAMPLE
Creating a new image with the number of colors reduced to 64:

pngquant 64 image.png

The resulting image will have 64 colors and will be saved as image-fs8.png.

AUTHOR
pngquant was written by Greg Roelofs <newt@pobox.com>.

This manual page was written by Nelson A. de Oliveira <naoliv@debian.org>, for the Debian project (but may be used by others).